.app.transition {
  .page-box .box-cover {
    transform: translateY(0) skewY(-30deg);
  }
}
.page-box {
  position: relative;
  overflow: hidden;
  display: flex;
  .page-box-left-content {
    padding: 30px;
    flex: 60%;
    position: relative;
    left: 0;
    animation: page-box-left-content-appear 1s;
    display: flex;
    flex-direction: column;
  }
  .page-box-right-content {
    flex: 40%;
    display: flex;
    position: relative;
    left: 0;
    animation: page-box-right-content-appear 1.5s;
    .page-box-image-container {
      white-space: nowrap;
      flex: auto;
      overflow: hidden;
      .page-box-image-offset {
        display: inline-block;
        transition: 0.5s;
      }
      .page-box-image {
        width: 100%;
        height: 100%;
        background-position: center;
        background-size: auto 100%;
        background-color: #252525;
        background-repeat: no-repeat;
        display: inline-block;
        position: relative;
        transition: 0.25s;
        &:hover {
          background-size: auto 110%;
          .page-box-image-overlay {
            opacity: 1;
            .page-box-image-overlay-icon {
              transform: scale(1.1);
              &:hover {
                transform: scale(1.3);
              }
            }
          }
          &:active {
            transition: 0s;
            background-size: auto 100%;
            .page-box-image-overlay .page-box-image-overlay-icon {
              transition: 0s;
              transform: scale(1);
            }
          }
        }
        .page-box-image-overlay {
          position: absolute;
          top: 0;
          left: 0;
          right: 0;
          bottom: 0;
          background: #0005;
          opacity: 0;
          transition: 0.25s;
          display: flex;
          align-items: center;
          justify-content: center;
          .page-box-image-overlay-icon {
            width: 50px;
            height: 50px;
            background: #0005;
            position: relative;
            transition: 0.25s;
            .page-box-image-overlay-icon-corner {
              position: absolute;
              width: 5px;
              height: 5px;
              border: solid white;
            }
            .page-box-image-overlay-icon-corner:nth-of-type(1) {
              top: 12px;
              left: 12px;
              border-width: 5px 0 0 5px;
            }
            .page-box-image-overlay-icon-corner:nth-of-type(2) {
              top: 12px;
              right: 12px;
              border-width: 5px 5px 0 0;
            }
            .page-box-image-overlay-icon-corner:nth-of-type(3) {
              bottom: 12px;
              right: 12px;
              border-width: 0 5px 5px 0;
            }
            .page-box-image-overlay-icon-corner:nth-of-type(4) {
              bottom: 12px;
              left: 12px;
              border-width: 0 0 5px 5px;
            }
          }
        }
      }
    }
    .page-box-image-buttons {
      display: flex;
      gap: 10px;
      align-items: flex-end;
      position: absolute;
      bottom: 10px;
      left: 10px;
      right: 10px;
      animation: page-box-image-buttons-appear 2s;
      input {
        flex: 50%;
        border: none;
        font-size: 20px;
        background: white;
        color: black;
        padding: 10px 0 12px;
        transition: 0.25s;
        box-shadow: 0 5px 5px #0005;
        &:hover {
          padding-bottom: 40px;
        }
        &:active {
          padding-bottom: 30px;
          transition: 0s;
        }
        &:disabled {
          background: #cdcdcd9c;
          pointer-events: none;
          color: #696969;
        }
      }
    }
  }
  .box-bg-image, .box-color {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
  }
  .box-bg-image {
    background-size: cover;
    background-position: center;
    background-color: #252525;
    filter: grayscale(1) brightness(0.5);
  }
  .box-color {
    opacity: 0.5;
  }
  .box-cover {
    transition: 1s;
    background: white;
    box-shadow: 0 0 60px 60px white;
    position: absolute;
    top: -300px;
    bottom: -300px;
    left: -50px;
    right: -50px;
    transform: translateY(-120%) skewY(-30deg);
    z-index: 10;
  }
  h1, p {
    color: white;
    text-shadow: 0 2px 2px #0005;
  }
  p {
    margin-bottom: 40px;
  }
  a {
    background: white;
    box-shadow: 0 5px 5px #0005;
    padding: 10px 40px;
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    transition: 0.25s;
    position: relative;
    top: 0;
    animation: link-appear 2.5s;
    margin: 0 auto 20px 0;
    min-width: 150px;
    text-align: right;
    &:hover {
      padding-left: 100px;
    }
    &:active {
      transition: 0s;
      padding-left: 90px;
    }
  }
}

@keyframes page-box-left-content-appear {
  0% {
    left: -570px;
  }
  100% {
    left: 0;
  }
}

@keyframes page-box-left-content-appear-mobile {
  0% {
    top: 100px;
  }
  100% {
    top: 0;
  }
}

@keyframes page-box-right-content-appear {
  0% {
    left: 340px;
  }
  50% {
    left: 340px;
  }
  100% {
    left: 0;
  }
}

@keyframes page-box-right-content-appear-mobile {
  0% {
    opacity: 0;
    top: 100px;
  }
  50% {
    opacity: 0;
    top: 100px;
  }
  100% {
    opacity: 1;
    top: 0;
  }
}

@keyframes page-box-image-buttons-appear {
  0% {
    opacity: 0;
    bottom: 0;
  }
  75% {
    opacity: 0;
    bottom: 0;
  }
  100% {
    opacity: 1;
    bottom: 10px;
  }
}

@keyframes link-appear {
  0% {
    opacity: 0;
    top: 10px;
  }
  80% {
    opacity: 0;
    top: 10px;
  }
  100% {
    opacity: 1;
    top: 0;
  }
}

@media (max-width: 1000px) {
  body .app .content {
    .page-box {
      flex-direction: column;
      min-height: 100vh;
      overflow-y: auto;
      .page-box-left-content {
        flex: 60%;
        top: 0;
        animation: page-box-left-content-appear-mobile 1s;
        h1 {
          width: calc(100vw - 200px);
        }
      }
      .page-box-right-content {
        flex: 40%;
        top: 0;
        animation: page-box-right-content-appear-mobile 1.5s;
        min-height: 250px;
      }
    }
  }
}
